//+------------------------------------------------------------------+
//|                                               DevDestination.mq4 |
//|                                                          Kalenzo |
//|                                      bartlomiej.gorski@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Kalenzo"
#property link      "bartlomiej.gorski@gmail.com"
extern double price;
extern int dev;
extern double devSLRatio = 1.5;
extern double devRatio = 1.0;
extern bool short = true;

#property indicator_chart_window
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
  
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectDelete("STOP LOSS");
   ObjectDelete("TP 1");
   ObjectDelete("TP 2");
   ObjectDelete("TP 3");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
 if(short)
 {
 drawLine(price+(devSLRatio*dev*Point),"STOP LOSS",Red,1);
 drawLine(price-(devRatio*dev*Point),"TP 1",DarkGreen,2);
 drawLine(price-(devRatio*2*dev*Point),"TP 2",Green,2);
 drawLine(price-(devRatio*3*dev*Point),"TP 3",Lime,2);
 }
 else
 {
 drawLine(price-(devSLRatio*dev*Point),"STOP LOSS",Red,1);
 drawLine(price+(devRatio*dev*Point),"TP 1",DarkGreen,2);
 drawLine(price+(devRatio*2*dev*Point),"TP 2",Green,2);
 drawLine(price+(devRatio*3*dev*Point),"TP 3",Lime,2);
 }

//----
   return(0);
  }
//+------------------------------------------------------------------+

void drawLine(double lvl,string name, color Col,int type)
{
         if(ObjectFind(name) != 0)
         {
            ObjectCreate(name, OBJ_HLINE, 0, Time[0], lvl,Time[0],lvl);
            
            if(type == 1)
            ObjectSet(name, OBJPROP_STYLE, STYLE_SOLID);
            else
            ObjectSet(name, OBJPROP_STYLE, STYLE_DOT);
            
            ObjectSet(name, OBJPROP_COLOR, Col);
            ObjectSet(name,OBJPROP_WIDTH,1);
            
         }
         else
         {
            ObjectDelete(name);
            ObjectCreate(name, OBJ_HLINE, 0, Time[0], lvl,Time[0],lvl);
            
            if(type == 1)
            ObjectSet(name, OBJPROP_STYLE, STYLE_SOLID);
            else
            ObjectSet(name, OBJPROP_STYLE, STYLE_DOT);
            
            ObjectSet(name, OBJPROP_COLOR, Col);        
            ObjectSet(name,OBJPROP_WIDTH,1);
          
         }
}

//+------------------------------------------------------------------+